Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.j2ee
Interface J2EEModule

All Superinterfaces:
  AMX, AMXMBeanLogging, ConfigProvider, J2EEDeployedObject, J2EEManagedObject, NotificationBroadcaster, NotificationEmitter, StateManageable

All Known Subinterfaces:
  AppClientModule, EJBModule, ResourceAdapterModule, WebModule

public interface J2EEModule
extends J2EEDeployedObject

Field Summary

Fields inherited from interface com.sun.appserv.management.base.AMX
`FULL_TYPE_DELIM, GROUP_CONFIGURATION, GROUP_JSR77, GROUP_MONITORING, GROUP_OTHER, GROUP_UTILITY, J2EE_TYPE_KEY, NAME_KEY, NO_NAME, NULL_NAME`

Fields inherited from interface com.sun.appserv.management.base.AMXMBeanLogging
`LOG_RECORD_KEY, LOG_RECORD_NOTIFICATION_TYPE`

Fields inherited from interface com.sun.appserv.management.j2ee.StateManageable
`STATE_FAILED, STATE_RUNNING, STATE_STARTING, STATE_STOPPED, STATE_STOPPING`

Method Summary
`java.lang.String[]` | `getjavaVMs()` Note that the Attribute name is case-sensitive "javaVM" as defined by JSR 77.
`JVM` | `getJVM()`

Methods inherited from interface com.sun.appserv.management.j2ee.J2EEDeployedObject
`getdeploymentDescriptor, getserver, getServer`

Methods inherited from interface com.sun.appserv.management.j2ee.J2EEManagedObject
`getConfigPeer, getMonitoringPeer, getobjectName, iseventProvider, isstateManageable, isstatisticProvider, isstatisticsProvider`

Methods inherited from interface com.sun.appserv.management.base.AMX
`getContainer, getDomainRoot, getFullType, getGroup, getJ2EEType, getName`

Methods inherited from interface com.sun.appserv.management.base.AMXMBeanLogging
`getMBeanEmitLogNotifications, getMBeanLoggerName, getMBeanLogLevel, setMBeanEmitLogNotifications, setMBeanLogLevel`

Methods inherited from interface javax.management.NotificationEmitter
`removeNotificationListener`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Methods inherited from interface com.sun.appserv.management.j2ee.ConfigProvider
`isConfigProvider`

Methods inherited from interface com.sun.appserv.management.j2ee.StateManageable
`getstartTime, getstate, start, startRecursive, stop`

Method Detail

### getjavaVMs

    public java.lang.String[] getjavaVMs()

  Note that the Attribute name is case-sensitive "javaVM" as defined by JSR 77.

  Returns:
    String[] of ObjectName

### getJVM

    public JVM getJVM()

  Returns:
    the JVM this module runs in

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.